# Kiwimix (calendar mixer)

Swiss knife for ical & caldav calendars


## Roadmap

Access to calendar

* :x: access to public calendar
* :x: access to private calendar (with credentials)
* :x: with data from config file with multiple calendars

Download calendar events locally

* :x: choose source calendar
* :x: as separate files ?
* :x: as an in-memory database ?

Merge events

* :x: merge overlapping events
* :x: keep reference to source-calendars/parent-events (meta-data? external?)
* :x: make selected event (source calendar? pattern?) private or anonymous

Upload calendar events remotely

* :x: associate mixed local with remote target calendar
* :x: handle event ids & duplicates

Web I

* :x: split into library + CLI util
* :x: write an API for the lib
* :x: add a web frontend
* :x: add user management & multi-account

Serve calendar locally

* :x: provide caldav urls for generated calendars


## References

* https://github.com/samedi/caldav-go
* https://github.com/emersion/go-webdav
